List Folders
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/foldersimport requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/folders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"pagination": {}
}Folders
List Folders
Retrieve all folders for a project
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
folders
List Folders
Path Parameters
Organization ID
Project ID
Query Parameters
Items per page
Pagination cursor from previous response
Response
Array of folder objects
Pagination information
Example Response
{
"data": [
{
"id": "folder123",
"name": "Marketing Content Searches",
"parentId": null,
"type": "content",
"order": 1.0,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
},
{
"id": "folder456",
"name": "Image Asset Searches",
"parentId": null,
"type": "asset",
"order": 2.0,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
}
],
"pagination": {
"lastKey": "eyJpZCI6ImZvbGRlcjQ1NiJ9"
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const { data: folders, pagination } = await response.json();
console.log(`Found ${folders.length} folders`);
⌘I